## node-svg2ttf 6.0.3+~cs4.7.1

=== Makefile ===
PATH        := ./node_modules/.bin:${PATH}

NPM_PACKAGE := $(shell node -e 'console.log(require("./package.json").name)')
NPM_VERSION := $(shell node -e 'console.log(require("./package.json").version)')

TMP_PATH    := /tmp/${NPM_PACKAGE}-$(shell date +%s)

REMOTE_NAME ?= origin
REMOTE_REPO ?= $(shell git config --get remote.${REMOTE_NAME}.url)

CURR_HEAD   := $(firstword $(shell git show-ref --hash HEAD | cut -b -6) master)
GITHUB_PROJ := fontello/${NPM_PACKAGE}


help:
	echo "make help       - Print this help"
	echo "make lint       - Lint sources with JSHint"
	echo "make test       - Lint sources and run all tests"
	echo "make publish    - Set new version tag and publish npm package"


lint:
	eslint --reset .


test: lint
	mocha test.js


publish:
	@if test 0 -ne `git status --porcelain | wc -l` ; then \
		echo "Unclean working tree. Commit or stash changes first." >&2 ; \
		exit 128 ; \
		fi
	@if test 0 -ne `git fetch ; git status | grep '^# Your branch' | wc -l` ; then \
		echo "Local/Remote history differs. Please push/pull changes." >&2 ; \
		exit 128 ; \
		fi
	@if test 0 -ne `git tag -l ${NPM_VERSION} | wc -l` ; then \
		echo "Tag ${NPM_VERSION} exists. Update package.json" >&2 ; \
		exit 128 ; \
		fi
	git tag ${NPM_VERSION} && git push origin ${NPM_VERSION}
	npm publish https://github.com/${GITHUB_PROJ}/tarball/${NPM_VERSION}


.PHONY: publish lint test
.SILENT: help lint test

=== debian/changelog ===
node-svg2ttf (6.0.3+~cs4.7.1-2) unstable; urgency=medium

  * Source-only upload for migration to testing

 -- Pirate Praveen <praveen@debian.org>  Sun, 15 May 2022 15:56:15 +0530

node-svg2ttf (6.0.3+~cs4.7.1-1) unstable; urgency=medium

  * Initial release (Closes: #1010853)

 -- Pirate Praveen <praveen@debian.org>  Wed, 11 May 2022 20:46:56 +0530

=== debian/control ===
Source: node-svg2ttf
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Testsuite: autopkgtest-pkg-nodejs
Build-Depends:
 debhelper-compat (= 13)
 , dh-sequence-nodejs
 , node-argparse (>= 2.0.1)
# , node-cubic2quad (>= 1.2.1)
 , node-lodash (>= 4.17.10)
# , node-microbuffer (>= 1.0.0)
# , node-svgpath (>= 2.1.5)
 , node-xmldom (>= 0.7.2)
Standards-Version: 4.6.0
Homepage: https://github.com/fontello/svg2ttf#readme
Vcs-Git: https://salsa.debian.org/js-team/node-svg2ttf.git
Vcs-Browser: https://salsa.debian.org/js-team/node-svg2ttf
Rules-Requires-Root: no

Package: node-svg2ttf
Architecture: all
Depends:
 ${misc:Depends}
 , node-argparse (>= 2.0.1)
# , node-cubic2quad (>= 1.2.1)
 , node-lodash (>= 4.17.10)
# , node-microbuffer (>= 1.0.0)
# , node-svgpath (>= 2.1.5)
 , node-xmldom (>= 0.7.2)
Description: Converts SVG font to TTF font (Node.js module)
 Internal API is similar to FontForge's one. Since primary goal is generating
 iconic fonts, sources can lack some specific TTF/OTF features, like kerning
 and so on. Anyway, current code is a good base for development, because it
 will save you tons of hours to implement correct writing & optimizing TTF
 tables.
 .
 Node.js is an event-based server-side JavaScript engine.

Package: svg2ttf
Architecture: all
Depends: nodejs:any,
 node-svg2ttf,
 ${misc:Depends}
Description: Converts SVG font to TTF font (command line)
 Internal API is similar to FontForge's one. Since primary goal is generating
 iconic fonts, sources can lack some specific TTF/OTF features, like kerning
 and so on. Anyway, current code is a good base for development, because it
 will save you tons of hours to implement correct writing & optimizing TTF
 tables.
 .
 This package provides svg2ttf command line interface.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/node-svg2ttf/usr/share/nodejs/svg2ttf/svg2ttf.js

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.+\/v?(\d\S+)@ARCHIVE_EXT@/svg2ttf-$1\.tar\.gz/ \
 https://github.com/fontello/svg2ttf/tags .*/v?(\d\S+)\.tar\.gz group

opts=\
component=svgpath,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-svgpath-$1/ \
 https://github.com/fontello/svgpath/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

opts=\
component=cubic2quad,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-cubic2quad-$1/ \
 https://github.com/fontello/cubic2quad/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

opts=\
component=microbuffer,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-microbuffer-$1/ \
 https://github.com/fontello/microbuffer/tags .*/archive.*/v?([\d\.]+).tar.gz checksum
